Bug 221334 - error loading compiled module
error loading compiled module
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
Blocks: 427887
  Show dependency treegraph
Reported: 2007-01-03 16:25 EST by Nadav Kavalerchik
Modified: 2008-03-09 01:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-09 01:48:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nadav Kavalerchik 2007-01-03 16:25:41 EST
Description of problem:
i've downloaded some source code for some module (r1000 - realtek RTL8168B/8111)
and compiled it successfully.

while trying to load it (modprobe) i get:
r1000: version magic '2.6.18-1.2868.fc6 SMP mod_unload 686 REGPARM 4KSTACKS
gcc-4.1' should be '2.6.18-1.2868.fc6 SMP mod_unload 586 REGPARM 4KSTACKS gcc-4.1'

btw. loading it with modprobe -f works and the module works just fine.
and in order to use it when the machine boot i've changed the version magic
inside the ko file and now it loads without the -f option.

and i'm using the same kernel headers and devel packages the came with a yum

rpm -qa kernel*

Version-Release number of selected component (if applicable):

How reproducible:
download any source code for any kernel module and install it.
now, try to modprobe it.

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Nadav Kavalerchik 2007-07-13 07:02:21 EDT
fixed in fc7 :-)
let's close this one.
Comment 2 Jon Stanley 2008-01-07 20:49:07 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)


I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.


I am CC'ing myself to this bug, however this version of Fedora is no longer

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 3 Nadav Kavalerchik 2008-01-08 06:58:07 EST
please close it down.

it has to do with the kernel's headers that produce wrong version magic when
compiling new (additional) modules. it was producing modules that were unable to
load into kernel.

Note You need to log in before you can comment on or make changes to this bug.